CR .( Loading HEX-to-DECIMAL converter...)
\ An example of using CamelForth to create EXE commands

: -LEADING ( c u -- c' u' )
   BEGIN  OVER C@ BL = OVER 0<> AND  WHILE  1 /STRING  REPEAT ;

: hexdec. ( c u -- c' u' )
   -LEADING 0 0 2SWAP HEX >NUMBER 2SWAP DROP DUP U. ." = " DECIMAL U. CR ;

: hexstring ( c u -- )
   hexdec. BEGIN  DUP  WHILE  1 /STRING hexdec.  REPEAT 2DROP ;

: hexhelp
   ." Type HEXTODEC followed by a list of hex numbers" CR ;

: hextodec
   CMDLINE COUNT -TRAILING -LEADING
   DUP IF  hexstring  ELSE  2DROP hexhelp  THEN BYE ;

\ Make our top-level word the first thing Forth executes
' hextodec IS (COLD)

\ Create the EXE file
S" hextodec.exe" SAVE-EXE

CR .( HEXTODEC.EXE has been created)

